extends "res://src/ui/menus/settings_menu/settings/checkbox_setting/checkbox_setting.gd"
## Special case setting for fullscreen mode


func initialize_value(value: Variant) -> void:
	@warning_ignore("unsafe_cast")
	checkbox.button_pressed = (value as Window.Mode) == Window.MODE_FULLSCREEN


func get_value() -> Variant:
	return Window.MODE_FULLSCREEN if checkbox.button_pressed else Window.MODE_WINDOWED
